cURL
curl --request POST \
--url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
--header 'Content-Type: text/plain' \
--header 'Oauth-Token: <api-key>' \
--data '<JSON example>'import requests
url = "https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota"
payload = "<JSON example>"
headers = {
"Oauth-Token": "<api-key>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Oauth-Token': '<api-key>', 'Content-Type': 'text/plain'},
body: '<JSON example>'
};
fetch('https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Investments API
Investments API
This endpoint requires an Oauth-Token obtained from /oauth2
POST
/
index.php
/
api
/
dakota
cURL
How to Use
- Copy any of the JSON examples below.
- Go to the API playground by clicking on the โTry itโ button.
- Paste the JSON into the request body field.
- Click โSendโ button to execute the request.
Examples
Count Investment Records
{
"module": "investment__c",
"count_only": "1"
}
List All Investments
{
"module": "investment__c"
}
List Investments with Specific Fields
{
"module": "investment__c",
"filters": {
"fields": ["name", "createddate", "country__c"],
"order_by": "name:DESC",
"max_num": "10"
}
}
Filter By Investment Name (AND Example)
{
"module": "investment__c",
"filters": {
"filter": [
{
"$and": [
{
"name": {
"$contains": "RT"
}
},
{
"name": {
"$contains": "Test"
}
}
]
}
]
}
}
Filter By Created Date (Last 30 Days)
{
"module": "investment__c",
"filters": {
"filter": [
{
"createddate": {
"$dateRange": "last_30_days"
}
}
],
"max_num": "10"
}
}
Filter By Fund Balance
{
"module": "investment__c",
"filters": {
"filter": [
{
"fund_balance__c": {
"$gt": "1000000"
}
}
]
}
}
Authorizations
Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.
Body
text/plain
Copy any of the JSON examples and paste it into the request body field.

